public class prova
{
	public static void main(String[] a)
	{
		Umano umano1 = new Umano("Paolo","Selva");
		umano1.setNome("Paolo");
		System.out.println(umano1.getNome());
		Studente studente1 = new Studente("Fabrizio","Cicola","SDX0001");
		System.out.println(studente1.getCognome());
	}
}

class Studente extends Umano
{
	String matricola;
	Studente(String nome, String cognome, String matricola)
	{
		super(nome, cognome);
		this.matricola = matricola;
	}
	public void schedaStudente()
	{
		System.out.println(getNome());
	}
}
class Umano
{
	private int cambiNome = 0;
	private String nome, cognome;
	public int eta;
	Umano(String nome, String cognome)
	{
		this.nome = nome;
		this.cognome = cognome;
	}
	public String getNome()
	{
		if (cambiNome != 0)
			return nome + " NB: Ha cambiato nome!";
		else
			return nome;
	}
	public String getCognome(){return cognome;}
	public void setNome(String n)
	{
		cambiNome++;
		nome = n;
	}
}


